Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart
Class SeriesShapeFactory

    java.lang.Object
      org.jfree.chart.SeriesShapeFactory

All Implemented Interfaces:
  ShapeFactory

Deprecated. No longer used. Shapes are supplied by the DrawingSupplier class.

public class SeriesShapeFactory
extends java.lang.Object
implements ShapeFactory

Provider of shapes for indicating data points on a Plot. This one uses a distinct shape for each series, looping if it exhausts the possibilities.

Author:
  Jeremy Bowman

Constructor Summary
`SeriesShapeFactory()` Deprecated.

Method Summary
`java.awt.Shape` | `getShape(int series, int item, double x, double y, double scale)` Deprecated. Returns a Shape that can be used in plotting data.
`java.awt.Shape` | `getShape(int series, java.lang.Object category, double x, double y, double scale)` Deprecated. Returns a Shape that can be used in plotting data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeriesShapeFactory

    public SeriesShapeFactory()

  Deprecated.

Method Detail

### getShape

    public java.awt.Shape getShape(int series,
                                   int item,
                                   double x,
                                   double y,
                                   double scale)

  Deprecated.
  Returns a Shape that can be used in plotting data. Used in XYPlots.

  Specified by:
    `getShape` in interface `ShapeFactory`
  Parameters:
    `series` - the index of the series.
    `item` - the index of the item.
    `x` - x-coordinate of the item.
    `y` - y-coordinate of the item.
    `scale` - the size.
  Returns:
    a Shape that can be used in plotting data.

### getShape

    public java.awt.Shape getShape(int series,
                                   java.lang.Object category,
                                   double x,
                                   double y,
                                   double scale)

  Deprecated.
  Returns a Shape that can be used in plotting data. Used in CategoryPlots.

  Specified by:
    `getShape` in interface `ShapeFactory`
  Parameters:
    `series` - the index of the series.
    `category` - the category.
    `x` - x-coordinate of the category.
    `y` - y-coordinate of the category.
    `scale` - the size.
  Returns:
    a Shape that can be used in plotting data.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD